
use dbPWI;

DROP TABLE IF EXISTS auth;
CREATE TABLE auth (
  id int(11) NOT NULL auto_increment,
  username varchar(128),
  userpassword varchar(128),
  permissions int,   -- 0 : admin, 1 : zwyky
  PRIMARY KEY  (id),
  unique (username)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `jezyki`;
CREATE TABLE `jezyki` (
  `id` int(11) NOT NULL auto_increment,
  `jezyk` varchar(128) default NULL,
  `opis` tinytext,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `kontynenty`;
CREATE TABLE `kontynenty` (
  `id` int(11) NOT NULL auto_increment,
  `kontynent` varchar(64) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `kontynent` (`kontynent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `kraje`;
CREATE TABLE `kraje` (
  `id` int(11) NOT NULL auto_increment,
  `kraj` varchar(64) default NULL,
  `kontynent` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `kraj` (`kraj`),
  KEY `kraje1` (`kontynent`),
  CONSTRAINT `kraje1` FOREIGN KEY (`kontynent`) REFERENCES `kontynenty` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `osoby`;
CREATE TABLE `osoby` (
  `id` int(11) NOT NULL auto_increment,
  `imie` varchar(64) default NULL,
  `nazwisko` varchar(64) default NULL,
  `plec` enum('k','m') default NULL,
  `nrtelefonu` varchar(32) default NULL,
  `email` varchar(128) default NULL,    
  `uwagi` text,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `osoby_jezyki`;
CREATE TABLE `osoby_jezyki` (
  `osoba` int(11) NOT NULL,
  `jezyk` int(11) NOT NULL,
  PRIMARY KEY  (`osoba`,`jezyk`),
  KEY `iosoba` (`osoba`),
  KEY `ijezyk` (`jezyk`),
  CONSTRAINT `osoby_jezyki1` FOREIGN KEY (`osoba`) REFERENCES `osoby` (`id`) ON UPDATE CASCADE on delete cascade,
  CONSTRAINT `osoby_jezyki2` FOREIGN KEY (`jezyk`) REFERENCES `jezyki` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



DROP TABLE IF EXISTS `osoby_kraje`;
CREATE TABLE `osoby_kraje` (
  `osoba` int(11) NOT NULL,
  `kraj` int(11) NOT NULL,
  PRIMARY KEY  (`osoba`,`kraj`),
  KEY `iosoba` (`osoba`),
  KEY `ikraj` (`kraj`),
  CONSTRAINT `osoby_kraje1` FOREIGN KEY (`osoba`) REFERENCES `osoby` (`id`) ON UPDATE CASCADE on delete cascade,
  CONSTRAINT `osoby_kraje2` FOREIGN KEY (`kraj`) REFERENCES `kraje` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;







--
-- Temporary table structure for view `kraje_kontynenty`
--

DROP TABLE IF EXISTS `kraje_kontynenty`;
/*!50001 DROP VIEW IF EXISTS `kraje_kontynenty`*/;
/*!50001 CREATE TABLE `kraje_kontynenty` (
  `id` int(11),
  `kraj` varchar(64),
  `kontynent` int(11),
  `kontynent_nazwa` varchar(64)
) */;



--
-- Final view structure for view `kraje_kontynenty`
--

/*!50001 DROP TABLE IF EXISTS `kraje_kontynenty`*/;
/*!50001 DROP VIEW IF EXISTS `kraje_kontynenty`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `kraje_kontynenty` AS select `kraje`.`id` AS `id`,`kraje`.`kraj` AS `kraj`,`kraje`.`kontynent` AS `kontynent`,`kontynenty`.`kontynent` AS `kontynent_nazwa` from (`kraje` join `kontynenty` on((`kontynenty`.`id` = `kraje`.`kontynent`))) */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-06-11 21:42:49
